Vendors
List vendor findings
Lists a vendor’s findings.
GET
/
vendors
/
{vendorId}
/
findings
List vendor findings
curl --request GET \
--url https://api.vanta.com/v1/vendors/{vendorId}/findings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/vendors/{vendorId}/findings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/vendors/{vendorId}/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"data": [
{
"id": "66bb83e06c54dc42afedb174",
"vendorId": "66bb83dc14f5709efe418859",
"securityReviewId": "66bb83977ffe63d2c54d6711",
"documentId": null,
"content": "This vendor has not performed a penetration test in the past 15 months.",
"riskStatus": "REMEDIATE",
"remediation": {
"requirementNotes": "We need them to provide an updated penetration test report.",
"state": "OPEN"
}
}
],
"pageInfo": {
"hasNextPage": false,
"hasPreviousPage": false,
"startCursor": "6696ea0595df50d5cd6ec3b7",
"endCursor": "6696ece48eb1f98ff3d927c6"
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Controls the maximum number of items returned in one response from the API.
Required range:
1 <= x <= 100A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.
Filter findings by security review ID
Filter findings by document ID
Response
200 - application/json
Ok
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List vendor findings
